/**
 * Copyright (C) 2009 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "wk-video.h"

GtkWidget *w, *v;

gboolean run (gpointer data)
{
    wk_video_play (WK_VIDEO (v), "/cdrom/video/linutopdemo.avi");
    return FALSE;
}

static void
on_end (WkVideo *video, gpointer data)
{
    printf ("End\n");
}

int main (gint argc, gchar **argv)
{
    gtk_init (&argc, &argv);

    w = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    v = wk_video_new ();
    g_signal_connect (G_OBJECT (v), "end-reached", G_CALLBACK (on_end), NULL);
    gtk_container_add (GTK_CONTAINER (w), v);
    gtk_widget_show_all (w);

    g_timeout_add_seconds (2, run, NULL);
    gtk_main ();

    return 0;
}
