/**
 * Copyright (C) 2009 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gio/gio.h>

#include "video-utils.h"

gboolean
is_video_uri (const gchar *uri)
{
    gboolean certain;
    gboolean is_video;
    gchar *type;

    g_return_val_if_fail (uri != NULL, FALSE);

    type = g_content_type_guess (uri+7, NULL, 0, &certain);

    is_video = g_str_has_prefix (type, "video/");

    g_free (type);

    return is_video;
}


